Foreman - Bug #13852

no (obvious?) way how to configure user data support for OpenStack image via hammer
02/23/2016 10:15 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: API
Target version: 1.10.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1247611 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3222
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1247611
Description of problem:
There is no (obvious?) way how to configure user data support for OpenStack image via hammer

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150721.7-Satellite-x86_64

How reproducible:
always

Steps to Reproduce:

1. Configure OpenStack compute resource

2. Infrastructure -> Compute resources -> <your_cr> -> Images -> [New Image]
(or edit existing one)

Note that there is a "User data" checkbox

3. Now check hammer command for this functionality:

1. hammer --username 'admin’ --password 'changeme' compute-resource image create -h
Usage:
hammer compute-resource image create [OPTIONS]

Options:

--architecture ARCHITECTURE_NAME Architecture name
--architecture-id ARCHITECTURE_ID

--compute-resource COMPUTE_RESOURCE_NAME Compute resource name
--compute-resource-id COMPUTE_RESOURCE_ID

--name NAME

--operatingsystem OPERATINGSYSTEM_TITLE Operating system title
--operatingsystem-id OPERATINGSYSTEM_ID

--username USERNAME

--uuid UUID

-h, --help print help

1. hammer --username 'admin’ --password 'changeme' compute-resource image update -h
Usage:
hammer compute-resource image update [OPTIONS]

Options:

--architecture ARCHITECTURE_NAME Architecture name
--architecture-id ARCHITECTURE_ID

--compute-resource COMPUTE_RESOURCE_NAME Compute resource name
--compute-resource-id COMPUTE_RESOURCE_ID

--id ID

--name NAME Name to search by

--new-name NEW_NAME
--operatingsystem OPERATINGSYSTEM_TITLE Operating system title
--operatingsystem-id OPERATINGSYSTEM_ID

--username USERNAME

--uuid UUID

-h, --help print help

Actual results:
There is no way how to configure user data support

Expected results:
There should be a way

Associated revisions

Revision 1cd4a22d - 02/24/2016 03:46 AM - Stephen Benjamin

fixes #13852 - add user_data to images api docs

Revision 0aed1d4e - 02/24/2016 12:33 PM - Stephen Benjamin

fixes #13852 - add user_data to images api docs

(cherry picked from commit 1cd4a22df2b4a34ea8a03150b1bd406494587ed3)
Revision 6ad7edcc - 03/29/2016 02:22 PM - Stephen Benjamin

fixes #13852 - add user_data to images api docs

(cherry picked from commit 1cd4a22df2b4a34ea8a03150b1bd406494587ed3)

History

#1 - 02/23/2016 10:17 AM - Stephen Benjamin
- Category set to API

- Assignee set to Stephen Benjamin

It's just missing from the API docs.

#2 - 02/23/2016 10:18 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3222 added

#3 - 02/24/2016 04:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1cd4a22df2b4a34ea8a03150b1bd406494587ed3.

#4 - 02/24/2016 04:52 AM - Dominic Cleal

- translation missing: en.field_release set to 145
